import { TEditor } from '@udecode/slate-plugins-core';
import { Location, Node, Path } from 'slate';
/**
 * Merge a node at a location with the previous node of the same depth,
 * removing any empty containing nodes after the merge if necessary.
 */
export declare const mergeNodes: (editor: TEditor, options?: {
    at?: Location | undefined;
    match?: ((n: Node) => boolean) | undefined;
    mode?: "highest" | "lowest" | undefined;
    hanging?: boolean | undefined;
    voids?: boolean | undefined;
    /**
     * Default: if the node isn't already the next sibling of the previous node, move
     * it so that it is before merging.
     */
    mergeNode?: ((editor: TEditor, options: {
        at: Path;
        to: Path;
    }) => void) | undefined;
    /**
     * Default: if there was going to be an empty ancestor of the node that was merged,
     * we remove it from the tree.
     */
    removeEmptyAncestor?: ((editor: TEditor, options: {
        at: Path;
    }) => void) | undefined;
}) => void;
//# sourceMappingURL=mergeNodes.d.ts.map